Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.uicreator.config
Class ViewSetConfig

    java.lang.Object
      tle.framework.component.impl.uicreator.config.ViewSetConfig

public class ViewSetConfig
extends java.lang.Object

<view-set> 태그의 정보를 저장한다.

Since:
  2.0
Author:
  최범균

Constructor Summary
`ViewSetConfig()`

Method Summary
`void` | `addViewConfig(ViewConfig viewConfig)`
`ViewConfig` | `getAuthFormViewConfig()`
`java.lang.String` | `getAuthFormViewID()`
`ViewConfig` | `getErrorViewConfig()`
`java.lang.String` | `getErrorViewID()`
`ViewConfig` | `getNoAuthViewConfig()`
`java.lang.String` | `getNoAuthViewID()`
`ViewConfig` | `getViewConfig(java.lang.String viewID)`
`java.lang.String` | `getViewSetID()`
`void` | `loadViewList(java.lang.String file)`
`void` | `setAuthFormViewID(java.lang.String authFormViewID)`
`void` | `setErrorViewID(java.lang.String errorViewID)`
`void` | `setNoAuthViewID(java.lang.String noAuthViewID)`
`void` | `setViewSetID(java.lang.String viewSetID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewSetConfig

    public ViewSetConfig()

Method Detail

### getViewSetID

    public java.lang.String getViewSetID()

### setViewSetID

    public void setViewSetID(java.lang.String viewSetID)

### getAuthFormViewID

    public java.lang.String getAuthFormViewID()

### setAuthFormViewID

    public void setAuthFormViewID(java.lang.String authFormViewID)

### getAuthFormViewConfig

    public ViewConfig getAuthFormViewConfig()

### getErrorViewID

    public java.lang.String getErrorViewID()

### setErrorViewID

    public void setErrorViewID(java.lang.String errorViewID)

### getErrorViewConfig

    public ViewConfig getErrorViewConfig()

### getNoAuthViewID

    public java.lang.String getNoAuthViewID()

### setNoAuthViewID

    public void setNoAuthViewID(java.lang.String noAuthViewID)

### getNoAuthViewConfig

    public ViewConfig getNoAuthViewConfig()

### addViewConfig

    public void addViewConfig(ViewConfig viewConfig)

### getViewConfig

    public ViewConfig getViewConfig(java.lang.String viewID)

### loadViewList

    public void loadViewList(java.lang.String file)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD